Skip to content

Captures current runtime readiness, identity and configuration versions.

GET
/api/workspace/tasks/runtime/bootstrap
curl --request GET \
--url https://example.com/api/workspace/tasks/runtime/bootstrap \
--header 'Authorization: Bearer <token>'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Only the requesting user’s runtime identity, permitted capabilities and committed dependency versions.

object
ActorUserId
string
nullable
WorkerId
string
nullable
Versions
object
key
additional properties
string format: uuid
CanCreate
boolean
Scopes
Array<string>
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}